Subject: Re: [PATCH] show doc: redirect user to git log manual instead of git diff-tree

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Sep 2023 16:26:26 -0700

Han Young <[email-masked]> writes:

> While git show accepts options that apply to the git diff-tree command,
> some options do not make sense in the context of git show.

Wow, "diff-tree" is a bit too arcane, I would agree.

Strictly speaking, "options to control how the changes are shown"
are options that are meant for "diff" command (e.g. "--stat", "-w"),
but "log" understands some of the "diff" command options, the
updated text is *not* incorrect.

Because "show" is about displaying individual commits and not range,
some options that are meant for the "log" command (e.g.
"--first-parent", "--no-merges") do not make much sense.  So

    Some options that `git log` command understands can be used to
    control how the changes the commit introduces are shown.

or something like that, perhaps?  I dunno.

> -The command takes options applicable to the 'git diff-tree' command to
> +The command takes options applicable to the 'git log' command to
>  control how the changes the commit introduces are shown.
>  
>  This manual page describes only the most frequently used options.